Page MenuHomePhabricator

Increase unit test coverage in ve.ce.LinearArrowKeyDownHandler
Closed, ResolvedPublic

Description

Increase unit test coverage in ve.ce.LinearArrowKeyDownHandler :

Review the code and add test coverage where possible. Current statement coverage is 56% (42/75).

Event Timeline

marcella created this task.Oct 15 2018, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2018, 7:33 PM
Esanders claimed this task.Oct 17 2018, 3:31 PM
Esanders moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 468005 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Add more tests to LinearArrowKeyDownHandler

https://gerrit.wikimedia.org/r/468005

Change 468302 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] LinearArrowKeyDownHandler: Test Selection#extend fallback

https://gerrit.wikimedia.org/r/468302

Change 468005 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Add more tests to LinearArrowKeyDownHandler

https://gerrit.wikimedia.org/r/468005

Change 468302 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] LinearArrowKeyDownHandler: Test Selection#extend fallback

https://gerrit.wikimedia.org/r/468302

Change 469038 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b2ece1abc)

https://gerrit.wikimedia.org/r/469038

Change 469038 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (6c288b44f)

https://gerrit.wikimedia.org/r/469038

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now at 91.89% (68/74). Is that good enough?

Deskana triaged this task as Normal priority.Oct 31 2018, 1:29 PM
Deskana added a subscriber: Deskana.

Can we add a screenshot here of the new test coverage, so that it can be compared to the old test coverage in the description? I don't know where the test coverage dashboard shown here lives, so I can't do that myself.

marcella closed this task as Resolved.Nov 19 2018, 4:27 PM